﻿@model EjemploMVCMañana.ViewModels.PersonaVM

@{
    ViewBag.Title = "Alta de nueva persona";
    //List<SelectListItem> items = (List<SelectListItem>)ViewBag.items;
}

<div class="row">
    <div class="col-sm-12">
        <div>
            <h4>Alta de nueva persona</h4>
        </div>
    </div>
</div>
@using (Html.BeginForm())
{
    <div class="row">
        <div class="col-lg-6">
            <div class="form-horizontal">
                <div class="form-group">
                    <label class="col-sm-6 control-label">Nombre</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.personaModel.nombre, htmlAttributes: new { @class = "form-control", @id = "txtNombre" })
                        @Html.ValidationMessageFor(model => model.personaModel.nombre, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Apellido</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.personaModel.apellido, htmlAttributes: new { @class = "form-control", @id = "txtApellido" })
                        @Html.ValidationMessageFor(model => model.personaModel.apellido, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Sexo</label>
                    <div class="col-sm-6">
                        @*@Html.DropDownList("idSexo", items, "Seleccione sexo", htmlAttributes: new { @class = "form-control" })*@
                        @Html.DropDownListFor(model => model.personaModel.idSexo, new SelectList(Model.sexoPersona, "id", "nombre"), "Seleccione el sexo", htmlAttributes: new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.personaModel.idSexo, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Edad</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.personaModel.edad, htmlAttributes: new { @class = "form-control", @id = "txtEdad" })
                        @Html.ValidationMessageFor(model => model.personaModel.edad, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Teléfono</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.personaModel.telefono, htmlAttributes: new { @class = "form-control", @id = "txtTelefono" })
                        @Html.ValidationMessageFor(model => model.personaModel.telefono, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group text-right">
                    <div class="col-xs-12">
                        <button class="btn btn-primary" type="submit">Guardar persona</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
}
